<?php
include_once '../sys/inc/start.php';
$doc = new document(4);
$doc -> title = 'Удаление новости';
$doc -> ret ('К новостям','./');


$id = (int)@$_GET['id'];

$q = mysql_query("SELECT * FROM `news` WHERE `id` = '$id' LIMIT 1");

if (!mysql_num_rows($q))$doc -> access_denied('Новость не найдена или уже удалена');

$news = mysql_fetch_assoc($q);

$ank = new user($news['id_user']);

if ($ank->group > $user -> group)$doc -> access_denied('У Вас нет прав для удаления данной новости');


if (isset($_POST['delete']))
{
if (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha']!=$_POST['chislo'])
{
$doc->err('Проверочное число введено неверно');
}
else
{

mysql_query("DELETE FROM `news` WHERE `id` = '$id' LIMIT 1");
mysql_query("DELETE FROM `news_comments` WHERE `id_news` = '$id'");
$doc->msg('Новость успешно удалена');
header('Refresh: 1; url=./');
exit;
}

}




$smarty = new design();
$smarty->assign('method', 'post');
$smarty->assign('action', '?id='.$id.'&amp;'.passgen() );
$elements=array();
$elements[]=array('type'=>'captcha', 'br'=>1);
$elements[]=array('type'=>'text', 'value'=>'* Новость &quot;'.for_value($news['title']).'&quot; будет удалена без возможности восстановления','br'=>1);
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'delete', 'value'=>'Удалить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');
?>
